Package wx :: Package lib :: Module buttonpanel :: Class Control

[frames | no frames]

## Type Control

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                    Control

Known Subclasses:
  `ButtonInfo`, `ButtonPanelText`, `Separator`

Method Summary
| ``__init__`(self, parent, size)` Default class constructor.
| ``Disable`(self)` Disables the control.
| `Draw(self, rect)`
| ``Enable`(self, value)` Enables or disables the control.
| ``GetBestSize`(self)` Returns the control best size.
| ``GetId`(self)` Returns the control id.
| ``HasFocus`(self)` Returns whether the control has the focus or not.
| ``Hide`(self)` Hides the control.
| ``IsShown`(self)` Returns whether the control is shown or not.
| `OnMouseEvent(self, x, y, event)`
| ``SetFocus`(self, focus)` Sets or kills the focus on the control.
| ``Show`(self, show)` Shows or hide the control.

Property Summary

Method Details

### __init__(self, parent, size=wx.Size(-1, -1))
(Constructor)

Default class constructor.

Base class for all pseudo controls parent = parent object size = (width, height)

  Overrides:
    `wx.EvtHandler.__init__`

### Disable(self)

Disables the control.

### Enable(self, value=True)

Enables or disables the control.

### GetBestSize(self)

Returns the control best size.

### GetId(self)

Returns the control id.

### HasFocus(self)

Returns whether the control has the focus or not.

### Hide(self)

Hides the control.

### IsShown(self)

Returns whether the control is shown or not.

### SetFocus(self, focus=True)

Sets or kills the focus on the control.

### Show(self, show=True)

Shows or hide the control.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:23 2007 | http://epydoc.sf.net